using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class JobSeekers_alphabet : System.Web.UI.Page
{
    string alphabet= "";
    protected void Page_Load(object sender, EventArgs e)
    {
        alphabet = Request.QueryString.Get("Alphabet");
        if(alphabet == null)
            alphabet = "A";
        if(!IsPostBack)
            ShowData();
        
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        ShowData();
        
    }
    void ShowData()
    {
        ControlHelper cls = new ControlHelper("");
        cls.CommandText = "SPJobByAlphabet";
        cls.CommandType = CommandType.StoredProcedure;
        cls.ParameterCollection = new string[1] { "@Alphabet" };
        cls.ValueCollection = new string[1] { alphabet + "%" };
        cls.InitProperties();
        cls.FillDataTableToGridView(this.GridView1, 10, 10, PagerButtons.NumericFirstLast); 
    }
}
